# EvCheck::__construct

(PECL ev >= 0.2.0)

EvCheck::__construct — Constructs the EvCheck watcher object

### Description

public EvCheck::__construct ( callable `$callback` [, mixed `$data` [, int `$priority` ]] )

Constructs the EvCheck watcher object.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvCheck object on success.

### See Also

- EvPrepare
- EvLoop::check() - Creates EvCheck object associated with the current event loop instance